org.deidentifier.arx.gui.view.impl.utility

## Class ViewPropertiesInput

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.utility.ViewProperties
  - - org.deidentifier.arx.gui.view.impl.utility.ViewPropertiesInput

All Implemented Interfaces:
  IView, ViewStatisticsBasic

    public class ViewPropertiesInput
    extends ViewProperties

This view displays basic properties about input data.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`ViewPropertiesInput(org.eclipse.swt.widgets.Composite parent, Controller controller)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`LayoutUtility.ViewUtilityType` `getType()` Returns the view type

### Methods inherited from class org.deidentifier.arx.gui.view.impl.utility.ViewProperties

`dispose, getParent, reset, update`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ViewPropertiesInput

    public ViewPropertiesInput(org.eclipse.swt.widgets.Composite parent,
                               Controller controller)

Constructor.

Parameters:
  `parent` -
  `controller` -

### Method Detail

#### getType

    public LayoutUtility.ViewUtilityType getType()

Returns the view type

Returns: